summaryrefslogtreecommitdiffstats
path: root/.local/bin/getbib
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-06-20 19:48:18 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-06-20 19:48:18 -0400
commit52ea59aac4c4da1817c848fa9f343f2ea94a95a1 (patch)
tree5511b976a10f3b347e69a767528b7788cea24b65 /.local/bin/getbib
parentb20f5d63504a22754d41eeeeb4d1e049888835e8 (diff)
downloadeibhear-52ea59aac4c4da1817c848fa9f343f2ea94a95a1.tar.gz
eibhear-52ea59aac4c4da1817c848fa9f343f2ea94a95a1.tar.zst
eibhear-52ea59aac4c4da1817c848fa9f343f2ea94a95a1.zip
return getbib
Diffstat (limited to '.local/bin/getbib')
-rwxr-xr-x.local/bin/getbib14
1 files changed, 14 insertions, 0 deletions
diff --git a/.local/bin/getbib b/.local/bin/getbib
new file mode 100755
index 0000000..ed441c5
--- /dev/null
+++ b/.local/bin/getbib
@@ -0,0 +1,14 @@
+#!/bin/sh
+[ -z "$1" ] && echo "Give either a pdf file or a DOI as an argument." && exit
+
+if [ -f "$1" ]; then
+ # Try to get DOI from pdfinfo or pdftotext output.
+ doi=$(pdfinfo "$1" | grep -io "doi:.*") ||
+ doi=$(pdftotext "$1" 2>/dev/null - | grep -io "doi:.*" -m 1) ||
+ exit 1
+else
+ doi="$1"
+fi
+
+# Check crossref.org for the bib citation.
+curl -s "http://api.crossref.org/works/$doi/transform/application/x-bibtex" -w "\\n"